Bug 1762858 - Red Hat Satellite Tools 6.5 repository for RHEL 8 showing not selected on Red Hat Satellite
Summary: Red Hat Satellite Tools 6.5 repository for RHEL 8 showing not selected on Re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Justin Sherrill
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-17 16:48 UTC by Bharati Kailas Shahu
Modified: 2020-04-14 13:26 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1791502 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Please find the image with reproducer (56.97 KB, image/png)
2019-10-17 16:48 UTC, Bharati Kailas Shahu
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28489 Normal Closed Red Hat Satellite Tools 6.5 repository for RHEL 8 showing not selected on Red Hat Satellite 2020-05-15 18:32:29 UTC
Foreman Issue Tracker 28621 Normal Closed some redhat repos do not pop back up on the left after disabling them 2020-05-15 18:32:29 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:11 UTC

Description Bharati Kailas Shahu 2019-10-17 16:48:16 UTC
Created attachment 1626882 [details]
Please find the image with reproducer

Description of problem:
Red Hat Satellite Tools 6.5 repo for RHEL 8 showing not selected on Red Hat Satellite

Version-Release number of selected component (if applicable):
Satellite version 6.5, for RHEL 8 repository 

How reproducible:


Steps to Reproduce:
1.Login to Satellite UI >Content>Red Hat Repositories
2. Enable and Sync "Red Hat Satellite Tools 6.5 for RHEL 8 x86_64 (RPMs)"
3. After that still is showing available to enable/sync and is not grayed out as it is already added to sync.

Actual results:

Repository is not grayed out and showing available to enable/sync

Expected results:
Repository should be grayed out and should not show available to enable

Additional info:

Comment 3 Brad Buckingham 2019-11-08 15:55:08 UTC
I am able to reproduce the same on Satellite 6.6 with "Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (RPMs)".  When clicking the + for the x86_64 repository (left panel), it does enable it and add to the right panel.

Observations:
- The + does not become a spinner when being enabled.
- The x86_64 entry remains in the left panel
- Only observed this behavior for the RHEL 8 tools; therefore, there may be something different in the metadata).

Comment 4 Justin Sherrill 2019-12-11 17:47:08 UTC
Created redmine issue https://projects.theforeman.org/issues/28489 from this bug

Comment 5 Bryan Kearney 2019-12-11 19:06:22 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 6 Bryan Kearney 2019-12-11 19:06:24 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 7 Bryan Kearney 2019-12-16 21:06:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28489 has been resolved.

Comment 9 vijsingh 2019-12-23 10:14:14 UTC
ON_QA Failed

@Satellite 6.7.0 snap 7.0

Steps/Observation:

 - After enable the 'Red Hat Satellite Tools 6.5 for RHEL 8 x86_64 (RPMs)' or 'Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (RPMs)' repos no entry remains in the left panel
 - However after disable the same repo(in right panel) the entry does not come back in the left panel(Only observed this behavior for the RHEL 8 tools).

Comment 10 Justin Sherrill 2020-01-02 21:54:42 UTC
Actually i can reproduce this behavior on other repo sets, i saw it on both of these content labels:

rhel-7-server-satellite-tools-6.6-rpms
satellite-tools-6.6-for-rhel-8-x86_64-rpms

but i think its worth fixing as part of this bug

Comment 12 Justin Sherrill 2020-01-21 02:32:58 UTC
Vijay,
Disabling a repository is an async task that may have to 'wait' if other stuff is going on in pulp (repo syncings, other repos enabling, etc..)  Are you able to reproduce this 2-3 minute delay every time?

Justin

Comment 13 vijsingh 2020-01-21 04:58:39 UTC
Justin, It's same(2-5 minutes delay) at every time when disable repo.

Comment 14 Patrick Creech 2020-01-22 13:54:55 UTC
It appears the second fix didn't land.  Moving this back to POST and clearing the fields to ensure we get the entire fix in

Comment 15 Justin Sherrill 2020-02-03 02:33:13 UTC
Vijay,

Can you link to a reproducer for that 2 minute repo disablement?

Comment 20 vijsingh 2020-02-12 07:45:16 UTC
Verified

@Satellite 6.7.0 snap 11.0


Observation:

 1) After enable the 'Red Hat Satellite Tools 6.5 for RHEL 8 x86_64 (RPMs)' or 'Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (RPMs)' repos no entry remains in the left panel
 2) After disable the same repo(in right panel) the entry does come back in the left panel.

Comment 25 errata-xmlrpc 2020-04-14 13:26:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.